"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * header of envoy max retries setting
 * @internal
 */
exports.X_ENVOY_MAX_RETRIES = "x-envoy-max-retries";
/**
 * header of envoy request timeout
 * @internal
 */
exports.X_ENVOY_UPSTREAM_RQ_TIMEOUT_MS = "x-envoy-upstream-rq-timeout-ms";
/**
 * header of envoy timeout per try
 * @internal
 */
exports.X_ENVOY_UPSTREAM_RQ_PER_TRY_TIMEOUT_MS = "x-envoy-upstream-rq-per-try-timeout-ms";
/**
 * the Common signature of EnvoyRequestParams
 */
class EnvoyRequestParams {
    constructor(context, maxRetries, timeout, perTryTimeout, headers) {
        this.context = context;
        this.maxRetries = maxRetries;
        this.timeout = timeout;
        this.perTryTimeout = perTryTimeout;
        this.customHeaders = headers;
    }
}
exports.default = EnvoyRequestParams;
//# sourceMappingURL=envoy-request-params.js.map