import { Metadata } from "grpc";
import { HttpHeader } from "./types";
import EnvoyContext from "./envoy-context";
import { EnvoyHttpRequestInit } from "./envoy-http-request-params";
import { Options } from "request";
/**
 * to easier migrate from http request using request library, you can use this function
 * to refine the request params directly
 * @param params request params, can be url string or params object
 * @param ctx the context, can be EnvoyContext, grpc.Metadata or HttpHeader
 * @param init the extra options for the request
 */
export default function envoyRequestParamsRefiner(params: string | Options, ctx?: EnvoyContext | Metadata | HttpHeader, init?: EnvoyHttpRequestInit): Options;
